﻿@model IEnumerable<Otus.Teaching.PromoCodeFactory.Mvc.Models.CustomerShortViewModel>

<p>
    <a asp-action="Create">Создать</a>
</p>

<table class="table table-striped">
    
    <thead>
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.FirstName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Email)
        </th>
        <th></th>
    </tr>
    </thead>

    <tbody>
    
    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.FirstName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.LastName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Email)
            </td>
            <td>
                <a asp-action="Edit" asp-route-id="@item.Id">Изменить</a>
                <a asp-action="Details" asp-route-id="@item.Id">Подробнее</a>
                <a asp-action="ConfirmDelete" asp-route-id="@item.Id">Удалить</a>
            </td>
        </tr>
    }
    </tbody>

</table>
